package gov.va.med.esr.common.builder.entity;

import gov.va.med.esr.common.model.person.SSN;

/**
 * 
 * @author Rajiv Patnaik
 * Created on Jul 25, 2005
 * @version 1.0
 * 
 * Copyright © 2005 VHA. All rights reserved
 */
public interface SSNMetaData
{
    public SSN getEntity();

    public void setEntity(SSN entity);
    
    public String getSSNText();
    
    public String getSSNType();
    
    public String getPseudoSSNReason();
    
    /**
     * Applicable from the ZPD segment
     * @return
     */ 
    public String getSSNVerificationStatus();
    
    
}
